internal::function_body_leaf< continue_msg, continue_msg, B > Class Template Reference

the leaf for function_body specialized for Input and output of continue_msg More...

`#include <_flow_graph_body_impl.h>`

Inheritance diagram for internal::function_body_leaf< continue_msg, continue_msg, B >:
Collaboration diagram for internal::function_body_leaf< continue_msg, continue_msg, B >:

## Public Member Functions

| function_body_leaf (const B &_body)
continue_msg | operator() (const continue_msg &i) __TBB_override
B | get_body ()
function_body_leaf * | clone () __TBB_override
Public Member Functions inherited from internal::function_body< continue_msg, continue_msg >
virtual | ~function_body ()

## Private Attributes

B | body

## Detailed Description

### template<typename B>
class internal::function_body_leaf< continue_msg, continue_msg, B >

the leaf for function_body specialized for Input and output of continue_msg

Definition at line 200 of file _flow_graph_body_impl.h.

## Constructor & Destructor Documentation

## function_body_leaf()

template<typename B >

internal::function_body_leaf< continue_msg, continue_msg, B >::function_body_leaf | ( | const B & | _body | ) |

inline

Definition at line 202 of file _flow_graph_body_impl.h.

: body(_body) { }
internal::function_body_leaf< continue_msg, continue_msg, B >::body
B body
Definition: _flow_graph_body_impl.h:212

## Member Function Documentation

## clone()

template<typename B >

function_body_leaf* internal::function_body_leaf< continue_msg, continue_msg, B >::clone | ( |  | ) |

inline virtual

Implements internal::function_body< continue_msg, continue_msg >.

Definition at line 208 of file _flow_graph_body_impl.h.

{
return new function_body_leaf< continue_msg, continue_msg, B >(body);
}

References internal::function_body_leaf< Input, Output, B >::body.

## get_body()

template<typename B >

B internal::function_body_leaf< continue_msg, continue_msg, B >::get_body | ( |  | ) |

inline

Definition at line 207 of file _flow_graph_body_impl.h.

{ return body; }

References internal::function_body_leaf< Input, Output, B >::body.

## operator()()

template<typename B >

continue_msg internal::function_body_leaf< continue_msg, continue_msg, B >::operator() | ( | const continue_msg & | i | ) |

inline virtual

Implements internal::function_body< continue_msg, continue_msg >.

Definition at line 203 of file _flow_graph_body_impl.h.

{
body(i);
return i;
}

References internal::function_body_leaf< Input, Output, B >::body.

## Member Data Documentation

## body

template<typename B >

B internal::function_body_leaf< continue_msg, continue_msg, B >::body

private

Definition at line 212 of file _flow_graph_body_impl.h.

The documentation for this class was generated from the following file:

- _flow_graph_body_impl.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.